using MessagePack;

namespace GameMessage
{
    [MessagePackObject]
    public class WarFriendItemData
    {
        public const string UserIdName = nameof(UserId);

        public const string GameIdName = nameof(GameId);

        public const string WeiYiMaName = nameof(WeiYiMa);
        
        public const string ContentName = nameof(Content);
        
        /// <summary>
        /// 玩家UserId
        /// </summary>
        [Key(0)]
        public int UserId;

        /// <summary>
        /// 客户端ID
        /// </summary>
        [Key(1)]
        public int GameId;
        
        /// <summary>
        /// 桌子唯一码
        /// </summary>
        [Key(2)]
        public string WeiYiMa;
        
        /// <summary>
        /// 战绩内容
        /// </summary>
        [Key(3)]
        public string Content;
    }
}